Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body	(revision 429)
@@ -2,11 +2,120 @@
 
 Makefile
-
+tecscde
+tecscde.rb
 tecsgen
 tecsgen.rb
+tecsgen_rcov.rb
 tecsmerge
 tecsmerge.rb
-tecslib/version.rb
-
+cdelib/Makefile
+cdelib/cell_plugin_dialog.rb
+cdelib/cell_plugin_dialog_ui_definition.rb
+cdelib/palette.rb
+cdelib/saveload.rb
+cdelib/tcontrol.rb
+cdelib/tmodel.rb
+cdelib/tview.rb
+cdelib/version.rb
+tecs/TECSInfo/TECSInfo.cdl
+tecs/TECSInfo/TECSInfoAccessor.cdl
+tecs/TECSInfo/nTECSInfo_tArrayTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tBoolTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tCallInfo.c
+tecs/TECSInfo/nTECSInfo_tCellInfo.c
+tecs/TECSInfo/nTECSInfo_tCelltypeInfo.c
+tecs/TECSInfo/nTECSInfo_tDefinedTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tDescriptorTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tEntryInfo.c
+tecs/TECSInfo/nTECSInfo_tFloatTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tFunctionInfo.c
+tecs/TECSInfo/nTECSInfo_tIntTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tNamespaceInfo.c
+tecs/TECSInfo/nTECSInfo_tParamInfo.c
+tecs/TECSInfo/nTECSInfo_tPtrTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tRawEntryDescriptorInfo.c
+tecs/TECSInfo/nTECSInfo_tRegionInfo.c
+tecs/TECSInfo/nTECSInfo_tSignatureInfo.c
+tecs/TECSInfo/nTECSInfo_tStructTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tTECSInfoAccessor.c
+tecs/TECSInfo/nTECSInfo_tTECSInfoSub.c
+tecs/TECSInfo/nTECSInfo_tTECSInfo_inline.h
+tecs/TECSInfo/nTECSInfo_tTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tVarDeclInfo.c
+tecs/TECSInfo/nTECSInfo_tVoidTypeInfo.c
+tecs/TECSInfo/tTECSInfoAccessor.c
+tecs/TLSFMalloc/README-TLSF.txt
+tecs/TLSFMalloc/tTLSFMalloc.cdl
+tecs/TLSFMalloc/tTLSFMalloc_inline.h
+tecs/mruby/README-mruby.txt
+tecs/mruby/TECSPointer.h
+tecs/mruby/TECSStruct.h
+tecs/mruby/mruby.cdl
+tecs/mruby/mrubyBridge.txt
+tecs/mruby/mrubyInitializer.cdl
+tecs/mruby/mrubyPointers.cdl
+tecs/mruby/mrubyTECSPointer.txt
+tecs/mruby/mrubyTECSStruct.txt
+tecs/mruby/mrubyVMs.cdl
+tecs/mruby/nMruby_tBoolPointer.c
+tecs/mruby/nMruby_tCharPointer.c
+tecs/mruby/nMruby_tDouble64Pointer.c
+tecs/mruby/nMruby_tFloat32Pointer.c
+tecs/mruby/nMruby_tInt16Pointer.c
+tecs/mruby/nMruby_tInt32Pointer.c
+tecs/mruby/nMruby_tInt64Pointer.c
+tecs/mruby/nMruby_tInt8Pointer.c
+tecs/mruby/nMruby_tIntPointer.c
+tecs/mruby/nMruby_tLongPointer.c
+tecs/mruby/nMruby_tMruby.c
+tecs/mruby/nMruby_tMrubyCyclicTaskBody.c
+tecs/mruby/nMruby_tMrubyProc.c
+tecs/mruby/nMruby_tMrubyTaskBody.c
+tecs/mruby/nMruby_tMrubyVM.c
+tecs/mruby/nMruby_tSCharPointer.c
+tecs/mruby/nMruby_tShortPointer.c
+tecs/mruby/nMruby_tTECSInitializer.c
+tecs/mruby/nMruby_tUCharPointer.c
+tecs/mruby/nMruby_tUInt16Pointer.c
+tecs/mruby/nMruby_tUInt32Pointer.c
+tecs/mruby/nMruby_tUInt64Pointer.c
+tecs/mruby/nMruby_tUInt8Pointer.c
+tecs/mruby/nMruby_tUIntPointer.c
+tecs/mruby/nMruby_tULongPointer.c
+tecs/mruby/nMruby_tUShortPointer.c
+tecs/mruby/sMruby.cdl
+tecs/mruby/tMruby.cdl
+tecs/mruby/tecs_mruby.h
+tecs/posix/posix.cdl
+tecs/rpc/PPAllocator.cdl
+tecs/rpc/RPCTask.cdl
+tecs/rpc/TDR.cdl
+tecs/rpc/rpc.cdl
+tecs/rpc/rpc_string.h
+tecs/rpc/sChannel.cdl
+tecs/rpc/sRPCErrorHandler.cdl
+tecs/rpc/tDataqueueAdaptor_inline.h
+tecs/rpc/tDataqueueOWChannel.cdl
+tecs/rpc/tMessageBufferCEP.cdl
+tecs/rpc/tMessageBufferCEP_inline.h
+tecs/rpc/tMessageBufferChannel.cdl
+tecs/rpc/tNBOTDR_inline.h
+tecs/rpc/tPPAllocator.c
+tecs/rpc/tRPCDedicatedTaskMain.c
+tecs/rpc/tRPCDedicatedTaskMainWithOpener.c
+tecs/rpc/tRPCSharedChannelMan.c
+tecs/rpc/tRPCSharedTaskMain.c
+tecs/rpc/tRPCSharedTaskMainWithOpener.c
+tecs/rpc/tSocketChannel.cdl
+tecs/rpc/tSocketClient.c
+tecs/rpc/tSocketServer.c
+tecs/rpc/tTDR_inline.h
+tecs/rpc/tTINETChannel.cdl
+tecs/rpc/tTINETClient.c
+tecs/rpc/tTINETServer.c
+tecs/rpc/tecs_rpc.h
+tecs/sMalloc.cdl
+tecs/tecs.h
+tecs/tecs.xsd
 tecslib/core/C_parser.tab.rb
 tecslib/core/C_parser.y.rb
@@ -26,12 +135,13 @@
 tecslib/core/tecs_lang.rb
 tecslib/core/tecsgen.rb
+tecslib/core/tecsinfo.rb
+tecslib/core/tool_info.rb
 tecslib/core/types.rb
+tecslib/core/unjoin_plugin.rb
 tecslib/core/value.rb
-
 tecslib/messages/messages_console_en_US.rb
 tecslib/messages/messages_console_ja_JP.rb
 tecslib/messages/messages_file_en_US.rb
 tecslib/messages/messages_file_ja_JP.rb
-
 tecslib/plugin/ATK1AlarmPlugin.rb
 tecslib/plugin/ATK1DelayTaskPlugin.rb
@@ -44,4 +154,5 @@
 tecslib/plugin/CellPlugin.rb
 tecslib/plugin/CelltypePlugin.rb
+tecslib/plugin/CompositePlugin.rb
 tecslib/plugin/DomainPlugin.rb
 tecslib/plugin/HRP2AlarmHandlerPlugin.rb
@@ -61,14 +172,30 @@
 tecslib/plugin/HRP2SemaphorePlugin.rb
 tecslib/plugin/HRP2TaskPlugin.rb
+tecslib/plugin/HRPHandlerPlugin.rb
+tecslib/plugin/HRPKernelObjectManager.rb
+tecslib/plugin/HRPKernelObjectPlugin.rb
+tecslib/plugin/HRPObjectPlugin.rb
+tecslib/plugin/HRPPlugin.rb
+tecslib/plugin/HRPRPCPlugin.rb
+tecslib/plugin/HRPSVCPlugin.rb
+tecslib/plugin/HRPTaskPlugin.rb
 tecslib/plugin/Mruby2CBridgePlugin.rb
+tecslib/plugin/MrubyBridgeCellPlugin.rb
+tecslib/plugin/MrubyBridgeCelltypePlugin.rb
+tecslib/plugin/MrubyBridgeCompositePlugin.rb
 tecslib/plugin/MrubyBridgePlugin.rb
+tecslib/plugin/MrubyBridgeSignaturePlugin.rb
+tecslib/plugin/MultiPlugin.rb
 tecslib/plugin/NotifierPlugin.rb
 tecslib/plugin/OpaqueMarshalerPlugin.rb
 tecslib/plugin/OpaqueRPCPlugin.rb
 tecslib/plugin/RPCPlugin.rb
+tecslib/plugin/RepeatCellPlugin.rb
+tecslib/plugin/RepeatJoinPlugin.rb
 tecslib/plugin/SharedOpaqueRPCPlugin.rb
 tecslib/plugin/SharedRPCPlugin.rb
 tecslib/plugin/SignaturePlugin.rb
 tecslib/plugin/TECS2CBridgePlugin.rb
+tecslib/plugin/TECSInfoPlugin.rb
 tecslib/plugin/ThroughPlugin.rb
 tecslib/plugin/TracePlugin.rb
@@ -77,62 +204,4 @@
 tecslib/plugin/lib/GenParamCopy.rb
 tecslib/plugin/lib/GenTransparentMarshaler.rb
-
-tecs/mruby/TECSPointer.h
-tecs/mruby/TECSStruct.h
-tecs/mruby/mruby.cdl
-tecs/mruby/mrubyInitializer.cdl
-tecs/mruby/mrubyPointers.cdl
-tecs/mruby/mrubyVMs.cdl
-tecs/mruby/nMruby_tBoolPointer.c
-tecs/mruby/nMruby_tCharPointer.c
-tecs/mruby/nMruby_tDouble64Pointer.c
-tecs/mruby/nMruby_tFloat32Pointer.c
-tecs/mruby/nMruby_tInt16Pointer.c
-tecs/mruby/nMruby_tInt32Pointer.c
-tecs/mruby/nMruby_tInt64Pointer.c
-tecs/mruby/nMruby_tInt8Pointer.c
-tecs/mruby/nMruby_tIntPointer.c
-tecs/mruby/nMruby_tLongPointer.c
-tecs/mruby/nMruby_tMruby.c
-tecs/mruby/nMruby_tMrubyProc.c
-tecs/mruby/nMruby_tMrubyProc_1_0.c
-tecs/mruby/nMruby_tSCharPointer.c
-tecs/mruby/nMruby_tShortPointer.c
-tecs/mruby/nMruby_tTECSInitializer.c
-tecs/mruby/nMruby_tUCharPointer.c
-tecs/mruby/nMruby_tUInt16Pointer.c
-tecs/mruby/nMruby_tUInt32Pointer.c
-tecs/mruby/nMruby_tUInt64Pointer.c
-tecs/mruby/nMruby_tUInt8Pointer.c
-tecs/mruby/nMruby_tUIntPointer.c
-tecs/mruby/nMruby_tULongPointer.c
-tecs/mruby/nMruby_tUShortPointer.c
-tecs/mruby/tMruby.cdl
-tecs/mruby/tecs_mruby.h
-tecs/posix/posix.cdl
-tecs/rpc/PPAllocator.cdl
-tecs/rpc/RPCTask.cdl
-tecs/rpc/TDR.cdl
-tecs/rpc/rpc.cdl
-tecs/rpc/rpc_string.h
-tecs/rpc/sChannel.cdl
-tecs/rpc/sRPCErrorHandler.cdl
-tecs/rpc/tDataqueueAdaptor_inline.h
-tecs/rpc/tDataqueueOWChannel.cdl
-tecs/rpc/tNBOTDR_inline.h
-tecs/rpc/tPPAllocator.c
-tecs/rpc/tRPCDedicatedTaskMain.c
-tecs/rpc/tRPCDedicatedTaskMainWithOpener.c
-tecs/rpc/tRPCSharedChannelMan.c
-tecs/rpc/tRPCSharedTaskMain.c
-tecs/rpc/tRPCSharedTaskMainWithOpener.c
-tecs/rpc/tSocketChannel.cdl
-tecs/rpc/tSocketClient.c
-tecs/rpc/tSocketServer.c
-tecs/rpc/tTDR_inline.h
-tecs/rpc/tTINETChannel.cdl
-tecs/rpc/tTINETClient.c
-tecs/rpc/tTINETServer.c
-tecs/rpc/tecs_rpc.h
-tecs/tecs.h
-tecs/tecs.xsd
+tecslib/plugin/lib/MrubyBridgeCelltypePluginModule.rb
+tecslib/version.rb
Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/Makefile
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/Makefile	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/Makefile	(revision 429)
@@ -34,5 +34,5 @@
 #   の責任を負わない．
 #  
-#   $Id$
+#   $Id: Makefile 2640 2017-06-03 11:27:12Z okuma-top $
 #++
 
@@ -76,5 +76,4 @@
 C_TAB = $(LIB_PATH)/C_parser.tab.rb
 EXERB_EXE = tecsgen.exe
-EXERB_EXY = tecsgen.exy
 
 all: generator
@@ -105,23 +104,8 @@
 	racc -v -g -o $(GEN_TAB_DEB) $(BNF)	# yydebug を有効にする
 
-# exerb : $(EXERB_EXE)
-exerb :
-	@echo "!!! please build using ActiveScriptRuby !!!"
-	exit 1
-
-# $(EXERB_EXE) : $(EXERB_EXY) $(GEN_SRC) $(PLUGIN_SRC)
-#	exerb  $(EXERB_EXY)
-# tecsgen.exy.ini から tecsgen.exy を生成するのは util/release.sh により行われる
-# MANIFEST に記載のバージョン番号が、tecsgen.exy.ini の文字列置換により、埋め込まれる
-
-exerb_check : $(EXERB_EXE)
-
-$(EXERB_EXE) : $(EXERB_EXY) $(GEN_SRC) $(PLUGIN_SRC)
-	@echo "### Need make_tecsgen_exerb on ActiveScriptRuby to update tecsgen.exerb ###"
-
 print_error :	# エラーメッセージを拾い出す
 	grep -e "Generator\.error" -e cdl_error $(LIB_PATH)/*.rb \
 		| grep -v bnf.tab.rb \
-		| sed -e "s/\s*Generator\.error(/  /" -e "s/\s*cdl_error(//" -e "s/).*$$//"
+		| sed -e "s/\s*Generator\.error(//" -e "s/\s*cdl_error[0-9]*(//" -e "s/).*$$//"
 
 print_error2 :	# エラーメッセージを拾い出す
Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/in_exerb.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/in_exerb.rb	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/in_exerb.rb	(revision 429)
@@ -35,5 +35,5 @@
 #   の責任を負わない．
 #  
-#   $Id$
+#   $Id: in_exerb.rb 1011 2016-07-11 02:20:01Z coas-nagasima $
 #++
 
